%define pypi_name lazy-object-proxy

# we don't have pytest-benchmark ATM
%bcond_with tests

Name:		python-%{pypi_name}
Summary:	A fast and thorough lazy object proxy
Version:	1.10.0
Release:	%mkrel 2
License:        BSD
Group:          Development/Python
Url:            https://pypi.python.org/pypi/lazy-object-proxy
Source0:	%{pypi_source}

%description
A fast and thorough lazy object proxy.

%package -n	python3-%{pypi_name}
Summary:	A fast and thorough lazy object proxy
BuildRequires:  pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-benchmark)
%endif
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
A fast and thorough lazy object proxy.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lazy_object_proxy

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Sat Mar 01 2025 wally <wally> 1.10.0-2.mga10
+ Revision: 2155220
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 1.10.0-1.mga10
+ Revision: 2077602
- new version 1.10.0

* Thu Dec 28 2023 tv <tv> 1.9.0-2.mga10
+ Revision: 2023227
- Rebuild for python-3.12

* Tue Sep 19 2023 papoteur <papoteur> 1.9.0-1.mga10
+ Revision: 1988176
- new 1.9.0

* Fri Mar 18 2022 umeabot <umeabot> 1.7.1-3.mga9
+ Revision: 1798929
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.7.1-2.mga9
+ Revision: 1772394
- rebuild python3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 1.7.1-1.mga9
+ Revision: 1771241
- version 1.7.1

* Sun Aug 29 2021 wally <wally> 1.6.0-1.mga9
+ Revision: 1743428
- new version 1.6.0

* Mon Mar 22 2021 daviddavid <daviddavid> 1.5.2-1.mga9
+ Revision: 1707565
- new version: 1.5.2

* Mon Mar 22 2021 daviddavid <daviddavid> 1.5.1-2.mga9
+ Revision: 1707511
- rebuild for python 3.9

* Mon Aug 03 2020 shlomif <shlomif> 1.5.1-1.mga8
+ Revision: 1610718
- New version 1.5.1

* Fri Jul 03 2020 shlomif <shlomif> 1.5.0-1.mga8
+ Revision: 1601688
- New version 1.5.0

* Tue Feb 18 2020 umeabot <umeabot> 1.4.3-2.mga8
+ Revision: 1539634
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 shlomif <shlomif> 1.4.3-1.mga8
+ Revision: 1465488
- New version 1.4.3

* Sun Sep 08 2019 wally <wally> 1.4.2-1.mga8
+ Revision: 1438540
- new version 1.4.2
- drop python2 support
- clean reqs
- rebuild for python3.8

* Fri Mar 15 2019 shlomif <shlomif> 1.3.1-1.mga7
+ Revision: 1377702
- New version 1.3.1

* Tue Jan 08 2019 tv <tv> 1.2.1-4.mga7
+ Revision: 1351616
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-3.mga7
+ Revision: 1300515
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.1-2.mga7
+ Revision: 1135478
- Rebuild for python 3.6

* Fri Dec 18 2015 shlomif <shlomif> 1.2.1-1.mga6
+ Revision: 911690
- Add missing BR
- Importing based on python-astroid

